<?php
// ======================================================================
// Auteur : Donatien CELIA
// Licence : CeCILL v2
// ======================================================================
error_reporting(E_ALL);

    // - Function GetPageObject
    function GetPageObject($strNomPagePar)
    {
      $pageObject;

      switch ($strNomPagePar)
      {
        case "accueil":
          require "class_page_accueil.php";                                     // - On inclut la class PageAccueil
          $pageObject = new PageAccueil();
          break;

        case "inscription":
          require "class_page_inscription.php";                                 // - On inclut la class PageInscription
          $pageObject = new PageInscription();
          break;

        case "inscription_validation":
          require "class_page_inscription_validation.php";                      // - On inclut la class PageInscriptionValidation
          $pageObject = new PageInscriptionValidation();
          break;

        case "connexion":
          require "class_page_connexion.php";                                   // - On inclut la class PageConnexion
          $pageObject = new PageConnexion();
          break;

        case "connexion_validation":
          require "class_page_connexion_validation.php";                        // - On inclut la class PageConnexionValidation
          $pageObject = new PageConnexionValidation();
          break;

        case "tdb":
          require "class_page_tdb.php";                                         // - On inclut la class PageTdb
          $pageObject = new PageTdb();
          break;

        case "deconnexion":
          require "class_page_deconnexion.php";                                 // - On inclut la class PageDeconnexion
          $pageObject = new PageDeconnexion();
          break;

        case "compte":
          require "class_page_compte.php";                                      // - On inclut la class PageCompte
          $pageObject = new PageCompte();
          break;

        case "compte_validation":
          require "class_page_compte_validation.php";                           // - On inclut la class PageCompteValidation
          $pageObject = new PageCompteValidation();
          break;

        case "compte_suppression":
          require "class_page_compte_suppression.php";                          // - On inclut la class PageCompteSuppression
          $pageObject = new PageCompteSuppression();
          break;

        case "compte_suppression_validation":
          require "class_page_compte_suppression_validation.php";               // - On inclut la class PageCompteSuppressionValidation
          $pageObject = new PageCompteSuppressionValidation();
          break;



        case "choix_djun":
          require "class_page_choix_djun.php";                                  // - On inclut la class PageChoixDjun
          $pageObject = new PageChoixDjun();
          break;

        case "choix_djun_validation":
          require "class_page_choix_djun_validation.php";                       // - On inclut la class PageChoixDjunValidation
          $pageObject = new PageChoixDjunValidation();
          break;

        case "choix_peuple":
          require "class_page_choix_peuple.php";                                // - On inclut la class PageChoixPeuple
          $pageObject = new PageChoixPeuple();
          break;

        case "choix_peuple_validation":
          require "class_page_choix_peuple_validation.php";                     // - On inclut la class PageChoixPeupleValidation
          $pageObject = new PageChoixPeupleValidation();
          break;

        case "avatar":
          require "class_page_avatar.php";                                      // - On inclut la class PageAvatar
          $pageObject = new PageAvatar();
          break;

        case "avatar_validation":
          require "class_page_avatar_validation.php";                           // - On inclut la class PageAvatarValidation
          $pageObject = new PageAvatarValidation();
          break;

        case "messagerie":
          require "class_page_messagerie.php";                                  // - On inclut la class PageMessagerie
          $pageObject = new PageMessagerie();
          break;

        case "messagerie_ecrire":
          require "class_page_messagerie_ecrire.php";                           // - On inclut la class PageMessagerieEcrire
          $pageObject = new PageMessagerieEcrire();
          break;

        case "messagerie_ecrire_validation":
          require "class_page_messagerie_ecrire_validation.php";                // - On inclut la class PageMessagerieEcrireValidation
          $pageObject = new PageMessagerieEcrireValidation();
          break;

        case "messagerie_lire":
          require "class_page_messagerie_lire.php";                             // - On inclut la class PageMessagerieLire
          $pageObject = new PageMessagerieLire();
          break;

        case "village":
          require "class_page_village.php";                                     // - On inclut la class PageVillage
          $pageObject = new PageVillage();
          break;

        case "batiment":
          require "class_page_batiment.php";                                    // - On inclut la class PageBatiment
          $pageObject = new PageBatiment();
          break;

        case "batiment_marche":
          require "class_page_batiment_marche.php";                             // - On inclut la class PageBatimentMarche
          $pageObject = new PageBatimentMarche();
          break;

        case "batiment_campement":
          require "class_page_batiment_campement.php";                          // - On inclut la class PageBatimentCampement
          $pageObject = new PageBatimentCampement();
          break;

        case "sort":
          require "class_page_sort.php";                                        // - On inclut la class PageSort
          $pageObject = new PageSort();
          break;

        case "science":
          require "class_page_science.php";                                     // - On inclut la class PageScience
          $pageObject = new PageScience();
          break;

        case "carte":
          require "class_page_carte.php";                                       // - On inclut la class PageCarte
          $pageObject = new PageCarte();
          break;

        case "espionnage":
          require "class_page_espionnage.php";                                  // - On inclut la class PageEspionnage
          $pageObject = new PageEspionnage();
          break;

        case "commerce":
          require "class_page_commerce.php";                                    // - On inclut la class PageCommerce
          $pageObject = new PageCommerce();
          break;

        case "negociation_commerciale":
          require "class_page_negociation_commerciale.php";                     // - On inclut la class PageNegociationCommerciale
          $pageObject = new PageNegociationCommerciale();
          break;

        case "unite":
          require "class_page_unite.php";                                       // - On inclut la class PageUnite
          $pageObject = new PageUnite();
          break;

        case "armee":
          require "class_page_armee.php";                                       // - On inclut la class PageArmee
          $pageObject = new PageArmee();
          break;

        case "hero":
          require "class_page_hero.php";                                        // - On inclut la class PageHero
          $pageObject = new PageHero();
          break;

        case "objet":
          require "class_page_objet.php";                                       // - On inclut la class PageObjet
          $pageObject = new PageObjet();
          break;

        case "objet_creation":
          require "class_page_objet_creation.php";                              // - On inclut la class PageObjetCreation
          $pageObject = new PageObjetCreation();
          break;

        case "objet_destruction":
          require "class_page_objet_destruction.php";                           // - On inclut la class PageObjetDestruction
          $pageObject = new PageObjetDestruction();
          break;

        case "quete":
          require "class_page_quete.php";                                       // - On inclut la class PageQuete
          $pageObject = new PageQuete();
          break;

        case "quete_forum":
          require "class_page_quete_forum.php";                                 // - On inclut la class PageQueteForum
          $pageObject = new PageQueteForum();
          break;

        case "guilde":
          require "class_page_guilde.php";                                      // - On inclut la class PageGuilde
          $pageObject = new PageGuilde();
          break;

        case "guilde_administration":
          require "class_page_guilde_administration.php";                       // - On inclut la class PageGuildeAdministration
          $pageObject = new PageGuildeAdministration();
          break;

        case "guilde_recherche":
          require "class_page_guilde_recherche.php";                            // - On inclut la class PageGuildeRecherche
          $pageObject = new PageGuildeRecherche();
          break;

        case "diplomatie":
          require "class_page_diplomatie.php";                                  // - On inclut la class PageDiplomatie
          $pageObject = new PageDiplomatie();
          break;

        case "diplomatie_forum":
          require "class_page_diplomatie_forum.php";                            // - On inclut la class PageDiplomatieForum
          $pageObject = new PageDiplomatieForum();
          break;

        case "rumeur":
          require "class_page_rumeur.php";                                      // - On inclut la class PageRumeur
          $pageObject = new PageRumeur();
          break;

        case "deplacement":
          require "class_page_deplacement.php";                                 // - On inclut la class PageDeplacement
          $pageObject = new PageDeplacement();
          break;

        default:
          $pageObject = new Page();
          break;

      }// - Fin du switch

      return $pageObject;

    }// - Fin de la fonction GetPageObject

?>